		.h8300s
		.section .vects,"a",@progbits
		.global	 _vector_table

		.extern	_start
        .extern _irq0
        .extern _INT_CMIA1A
		.extern _tgi0a

_vector_table:
                jmp     @_start          ; power-on reset
                jmp     @_start          ; manual reset

                .space  (3 * 4)          ; rezervovano

                jmp     @_int_error      ; Trace
                jmp     @_int_error      ; Direct Transition
                .space  4                ; NMI   (rezervovano pro HDI-M)
                .space  4                ; TRAP0 (rezervovano pro HDI-M)

                jmp     @_int_error      ; Trap1
                jmp     @_int_error      ; Trap2
                jmp     @_int_error      ; Trap3

                .space  (4 * 4)          ; rezervovano

                jmp     @_int_error      ; IRQ0
                jmp     @_int_error      ; IRQ1
                jmp     @_int_error      ; IRQ2
                jmp     @_int_error      ; IRQ3
                jmp     @_int_error      ; IRQ4
                jmp     @_int_error      ; IRQ5
                jmp     @_int_error      ; IRQ6
                jmp     @_int_error      ; IRQ7

                jmp     @_int_error      ; SWDTEND
                jmp     @_int_error      ; WatchDog0
                jmp     @_int_error      ; CMI
                jmp     @_int_error      ; PC break
                jmp     @_int_error      ; A/D end
                jmp     @_int_error      ; WatchDog1

                .space  (2 * 4)          ; rezervovano

                jmp     @_int_error      ; TGI0A (compare/capture)
                jmp     @_int_error      ; TGI0B     -   "   -
                jmp     @_int_error      ; TGI0C     -   "   -
                jmp     @_int_error      ; TGI0D     -   "   -
                jmp     @_int_error      ; TCI0V (overflow)

                .space  (3 * 4)          ; rezervovano

                jmp     @_int_error      ; TGI1A (compare/capture)
                jmp     @_int_error      ; TGI1B     -   "   -
                jmp     @_int_error      ; TCI1V (overflow)
                jmp     @_int_error      ; TCI1U (underflow)

                jmp     @_int_error      ; TGI2A (compare/capture)
                jmp     @_int_error      ; TGI2B     -   "   -
                jmp     @_int_error      ; TCI2V (overflow)
                jmp     @_int_error      ; TCI2U (underflow)

                jmp     @_int_error      ; TGI3A (compare/capture)
                jmp     @_int_error      ; TGI3B     -   "   -
                jmp     @_int_error      ; TGI3C     -   "   -
                jmp     @_int_error      ; TGI3D     -   "   -
                jmp     @_int_error      ; TCI3V (overflow)

                .space  (3 * 4)          ; rezervovano

                jmp     @_int_error      ; TGI4A (compare/capture)
                jmp     @_int_error      ; TGI4B     -   "   -
                jmp     @_int_error      ; TCI4V (overflow)
                jmp     @_int_error      ; TCI4U (underflow)

                jmp     @_int_error      ; TGI5A (compare/capture)
                jmp     @_int_error      ; TGI5B     -   "   -
                jmp     @_int_error      ; TCI5V (overflow)
                jmp     @_int_error      ; TCI5U (underflow)

                jmp     @_int_error      ; CMIA0 (compare)
                jmp     @_int_error      ; CMIB0 (compare)
                jmp     @_int_error      ; OVI0 (overflow)

                .space  4                ; rezervovano

                jmp     @_INT_CMIA1A     ; CMIA1 (compare)  <<<---  Pro casovac 50 ms
                jmp     @_int_error      ; CMIB1 (compare)
                jmp     @_int_error      ; OVI1 (overflow)

                .space  4                ; rezervovano

                jmp     @_int_error      ; DEND0A
                jmp     @_int_error      ; DEND0B
                jmp     @_int_error      ; DEND1A
                jmp     @_int_error      ; DEND1B

                .space  4                ; rezervovano

                .space  (4 * 4)          ; SCI0 (rezervovano pro HDI-M)

                jmp     @_int_error      ; ERI1
                jmp     @_int_error      ; RXI1
                jmp     @_int_error      ; TXI1
                jmp     @_int_error      ; TEI1

                jmp     @_int_error      ; ERI2
                jmp     @_int_error      ; RXI2
                jmp     @_int_error      ; TXI2
                jmp     @_int_error      ; TEI2

                jmp     @_int_error      ; CMIA0 (compare)
                jmp     @_int_error      ; CMIB0 ( - " - )
                jmp     @_int_error      ; OVI0 (overflow)

                .space  4                ; rezervovano

                jmp     @_int_error      ; CMIA1 (compare)
                jmp     @_int_error      ; CMIB1 ( - " - )
                jmp     @_int_error      ; OVI1 (overflow)

                .space  4                ; rezervovano

                jmp     @_int_error      ; IICI0
                jmp     @_int_error      ; DDCSW1

                jmp     @_int_error      ; IICI1
                .space  4                ; rezervovano

                .space  (4 * 4)          ; rezervovano

                jmp     @_int_error      ; ERI3
                jmp     @_int_error      ; RXI3
                jmp     @_int_error      ; TXI3
                jmp     @_int_error      ; TEI3

                jmp     @_int_error      ; ERI4
                jmp     @_int_error      ; RXI4
                jmp     @_int_error      ; TXI4
                jmp     @_int_error      ; TEI4
